All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
snd_ctl_ext_t Struct Reference
External Control Plugin SDK

## Data Fields

unsigned int | version
int | card_idx
char | id [16]
char | driver [16]
char | name [32]
char | longname [80]
char | mixername [80]
int | poll_fd
const snd_ctl_ext_callback_t * | callback
void * | private_data
snd_ctl_t * | handle
int | nonblock
int | subscribed
union {
snd_ctl_ext_tlv_rw_t * c
const unsigned int * p
} | tlv

## Detailed Description

Handle of control ext

External control plugin handle

## Field Documentation

const snd_ctl_ext_callback_t* snd_ctl_ext_t::callback

callbacks of this plugin; must be filled before calling snd_pcm_ioplug_create()

int snd_ctl_ext_t::card_idx

Index of this card; must be filled before calling snd_ctl_ext_create()

char snd_ctl_ext_t::driver[16]

Driver name of this card; must be filled before calling snd_ctl_ext_create()

snd_ctl_t* snd_ctl_ext_t::handle

control handle filled by snd_ctl_ext_create()

char snd_ctl_ext_t::id[16]

ID string of this card; must be filled before calling snd_ctl_ext_create()

char snd_ctl_ext_t::longname[80]

Long name of this card; must be filled before calling snd_ctl_ext_create()

char snd_ctl_ext_t::mixername[80]

Mixer name of this card; must be filled before calling snd_ctl_ext_create()

char snd_ctl_ext_t::name[32]

short name of this card; must be filled before calling snd_ctl_ext_create()

int snd_ctl_ext_t::nonblock

non-block mode; read-only

int snd_ctl_ext_t::poll_fd

poll descriptor

void* snd_ctl_ext_t::private_data

private data, which can be used freely in the driver callbacks

int snd_ctl_ext_t::subscribed

events subscribed; read-only

union { ... } snd_ctl_ext_t::tlv

optional TLV data for the control (since protocol 1.0.1)

unsigned int snd_ctl_ext_t::version

protocol version; SND_CTL_EXT_VERSION must be filled here before calling snd_ctl_ext_create()

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.4.1/include/control_external.h